"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateHelpersIndexFile = void 0;
function generateHelpersIndexFile(sourceFile) {
    sourceFile.addStatements(/* ts */ `
    type EnumLike = Array<unknown> | Record<string, unknown>;

    export function getEnumValues<T extends EnumLike>(enumType: T): Array<string> {
      return [
        ...new Set(
          Object.entries(enumType)
            .filter(([key]) => !~~key)
            .flatMap((item) => item)
        ),
      ] as Array<string>;
    }  
  `);
}
exports.generateHelpersIndexFile = generateHelpersIndexFile;
//# sourceMappingURL=generate-helpers.js.map